{
	"name": "NextBestNetwork",
	"version": "5.43.1",
	"author": "Tobias Haider",
	"url": "https://nextbestnetwork.kollabor.at",
	"descriptionmsg": "nextbestnetwork-skin-desc",
	"namemsg": "skinname-nextbestnetwork",
	"license-name": "GPL-2.0-or-later",
	"type": "skin",
	"requires": {
		"MediaWiki": ">= 1.43.0"
	},
	"ConfigRegistry": {
		"nextbestnetwork": "GlobalVarConfig::newInstance"
	},
	"ValidSkinNames": {
		"nextbestnetwork": "NextBestNetwork"
	},
	"MessagesDirs": {
		"NextBestNetwork": [
			"i18n"
		]
	},
	"ExtensionMessagesFiles": {
		"NextBestNetworkMagic": "NextBestNetwork.i18n.magic.php"
	},
	"AutoloadClasses": {
		"NextBestNetworkHooks": "includes/Hooks.php",
		"SkinNextBestNetwork": "includes/SkinNextBestNetwork.php",
		"NextBestNetworkTemplate": "includes/NextBestNetworkTemplate.php"
	},
	"Hooks": {
		"ResourceLoaderGetConfigVars": "NextBestNetworkHooks::onResourceLoaderGetConfigVars",
		"PageRenderingHash": "NextBestNetworkHooks::onPageRenderingHash",
		"GetPreferences": "NextBestNetworkHooks::onGetPreferences",
		"ParserFirstCallInit": "NextBestNetworkHooks::onParserFirstCallInit",
		"SkinEditSectionLinks": "NextBestNetworkHooks::onSkinEditSectionLinks",
		"AfterFinalPageOutput": "NextBestNetworkHooks::onAfterFinalPageOutput",
		"MagicWordMagicWords": "NextBestNetworkHooks::onMagicWordMagicWords",
		"MagicWordwgVariableIDs": "NextBestNetworkHooks::onMagicWordwgVariableIDs",
		"InternalParseBeforeLinks": "NextBestNetworkHooks::onInternalParseBeforeLinks",
		"BeforePageDisplay": "NextBestNetworkHooks::onBeforePageDisplay",
		"OutputPageBodyAttributes": "NextBestNetworkHooks::onOutputPageBodyAttributes",
		"HtmlPageLinkRendererEnd" : "NextBestNetworkHooks::onHtmlPageLinkRendererEnd",
		"SelfLinkBegin" : "NextBestNetworkHooks::onSelfLinkBegin"
	},
	"ResourceModules": {
        "skins.nextbestnetwork": {
          "styles": {
            "default/css/nextbestnetwork.css": {}
          },
          "scripts": {
            "default/js/nextbestnetwork.js": {}
          },
          "messages": {},
          "dependencies": [
            "mediawiki.skinning.content"
          ]
        },
		"skins.nextbestnetwork.messages": {
			"messages": [
				"nextbestnetwork-toc-top"
			]
		},
		"skins.nextbestnetwork.styles": {
			"position": "top",
			"styles": {
				"public/default/css/nextbestnetwork.css": {}
			}
		},
		"skins.nextbestnetwork.custom.styles": {
			"position": "top",
			"styles": {
				"public/custom/css/custom.css": {}
			}
		},
		"skins.nextbestnetwork.externallinks.styles": {
			"position": "top",
			"styles": {
				"public/legacy/css/externallinks.less": {
					"media": "screen"
				}
			}
		},
		"skins.nextbestnetwork.mediawiki.legacy.styles": {
			"class": "MediaWiki\\ResourceLoader\\SkinModule",
			"position": "top",
			"styles": {
				"public/legacy/mediawiki/mediawiki.less": {}
			}
		},
		"skins.nextbestnetwork.mediawiki.styles": {
			"class": "MediaWiki\\ResourceLoader\\SkinModule",
			"features": {
				"content-links": true,
				"content-links-external": true,
				"content-media": true,
				"interface-message-box": true,
				"interface-category": true,
				"content-tables": true,
				"i18n-ordered-lists": true,
				"i18n-all-lists-margins": true,
				"i18n-headings": true,
				"toc": false
			},
			"position": "top",
			"styles": {
				"public/legacy/mediawiki/mediawiki.less": {}
			}
		},
		"skins.nextbestnetwork.awesome.styles": {
			"position": "top",
			"styles": {
				"public/awesome/css/all.min.css": {}
			}
		},
		"skins.nextbestnetwork.scripts": {
			"position": "bottom",
			"scripts": [
				"public/default/js/nextbestnetwork.js"
			],
			"dependencies": [
				"mediawiki.jqueryMsg"
			]
		},
		"skins.nextbestnetwork.custom.scripts": {
			"position": "top",
			"scripts": [
				"public/custom/js/custom.js"
			],
			"dependencies": [
				"mediawiki.jqueryMsg"
			]
		}
	},
	"ResourceFileModulePaths": {
		"localBasePath": "",
		"remoteSkinPath": "NextBestNetwork"
	},
	"config": {
		"NextBestNetworkSkinHideAll": {
			"value": {
				"footer-info": true
			},
			"descriptionmsg": "nextbestnetwork-config-hideall"
		},
		"NextBestNetworkSkinHideable": {
			"value": [
				"firstHeading",
				"sidebar-right"
			],
			"descriptionmsg": "nextbestnetwork-config-hideable"
		},
		"NextBestNetworkSkinHideAnon": {
			"value": {
				"subnav": true,
				"PERSONAL": true,
				"TOOLBOX" : true
			},
			"descriptionmsg": "nextbestnetwork-config-hideanon"
		},
		"NextBestNetworkSkinHideLoggedin": {
			"value": {
				"footer-custom": true
			},
			"descriptionmsg": "nextbestnetwork-config-hideloggedin"
		},
		"NextBestNetworkSkinHideNonAdvanced": {
			"value": {
				"EDIT-EXT-special": true
			},
			"descriptionmsg": "nextbestnetwork-config-hidenonadvanced"
		},
		"NextBestNetworkSkinHideExcept": {
			"value": {},
			"descriptionmsg": "nextbestnetwork-config-hideexcept"
		},
		"NextBestNetworkSkinFooterIcons": {
			"value": false,
			"descriptionmsg": "nextbestnetwork-config-footericons"
		},
		"NextBestNetworkSkinPageRenderer": {
			"value": "NextBestNetworkTemplate::renderPage",
			"descriptionmsg": "nextbestnetwork-config-pagerenderer"
		},
		"NextBestNetworkSkinNavbarRenderer": {
			"value": "NextBestNetworkTemplate::renderNavbar",
			"descriptionmsg": "nextbestnetwork-config-navbarrenderer"
		},
		"NextBestNetworkSkinNavigationalElements": {
			"value": [],
			"descriptionmsg": "nextbestnetwork-config-navigationalelements"
		},
		"NextBestNetworkSkinSpecialElements": {
			"value": {
				"FIRSTHEADING": "NextBestNetworkTemplate::renderFirstHeading",
				"TOC": "NextBestNetworkTemplate::renderTOC",
				"SEARCH": "NextBestNetworkTemplate::renderSearch",
				"LOGO": "NextBestNetworkTemplate::renderLogo",
				"LOGIN-EXT": "NextBestNetworkTemplate::renderLoginExt",
				"FOOTER": "NextBestNetworkTemplate::renderStandardFooter"
			},
			"descriptionmsg": "nextbestnetwork-config-specialelements"
		},
		"NextBestNetworkSkinUseBtnParser": {
			"value": true,
			"descriptionmsg": "nextbestnetwork-config-usebtnparser"
		},
		"NextBestNetworkSkinUseScrollSpy": {
			"value": true,
			"descriptionmsg": "nextbestnetwork-config-usescrollspy"
		},
		"NextBestNetworkSkinUseTooltips": {
			"value": false,
			"descriptionmsg": "nextbestnetwork-config-usetooltips"
		},
		"NextBestNetworkSkinUseIconWatch": {
			"value": false,
			"descriptionmsg": "nextbestnetwork-config-useiconwatch"
		},
		"NextBestNetworkSkinUseExternallinkStyles": {
			"value": true,
			"descriptionmsg": "nextbestnetwork-config-useexternallinkstyles"
		},
		"NextBestNetworkSkinCustomEditSectionLink": {
			"value": true,
			"descriptionmsg": "nextbestnetwork-config-customeditsectionlink"
		},
		"NextBestNetworkSkinCustomCSS": {
			"value": [],
			"descriptionmsg": "nextbestnetwork-config-customcss"
		},
		"NextBestNetworkSkinCustomScriptModule": {
			"value": false,
			"descriptionmsg": "nextbestnetwork-config-customscriptmodule"
		},
		"NextBestNetworkSkinCustomStyleModule": {
			"value": false,
			"descriptionmsg": "nextbestnetwork-config-customstylemodule"
		},
		"NextBestNetworkSkinUseCustomFiles": {
			"value": false,
			"descriptionmsg": "nextbestnetwork-config-usecustomfiles"
		},
		"NextBestNetworkSkinImagePageTOCTabs": {
			"value": false,
			"descriptionmsg": "nextbestnetwork-config-imagepagetoctabs"
		},
		"NextBestNetworkSkinGridNone": {
			"value": {
				"mainoffset": 1,
				"mainwidth": 10
			},
			"descriptionmsg": "nextbestnetwork-config-gridnone"
		},
		"NextBestNetworkSkinGridLeft": {
			"value": {
				"leftoffset": 0,
				"leftwidth": 3,
				"mainoffset": 0,
				"mainwidth": 9
			},
			"descriptionmsg": "nextbestnetwork-config-gridleft"
		},
		"NextBestNetworkSkinGridRight": {
			"value": {
				"mainoffset": 0,
				"mainwidth": 9,
				"rightoffset": 0,
				"rightwidth": 3
			},
			"descriptionmsg": "nextbestnetwork-config-gridright"
		},
		"NextBestNetworkSkinGridBoth": {
			"value": {
				"leftoffset": 0,
				"leftwidth": 2,
				"mainoffset": 0,
				"mainwidth": 8,
				"rightoffset": 0,
				"rightwidth": 2
			},
			"descriptionmsg": "nextbestnetwork-config-gridboth"
		},
		"NextBestNetworkSkinAdditionalBodyClasses": {
			"value": [],
			"descriptionmsg": "nextbestnetwork-config-additionalbodyclasses"
		},
		"NextBestNetworkSkinUseRealnames": {
			"value": false,
			"descriptionmsg": "nextbestnetwork-config-userealnames"
		},
		"NextBestNetworkSkinUserImageProperty": {
			"value": false,
			"descriptionmsg": "nextbestnetwork-config-userimageproperty"
		}
	},
	"manifest_version": 2
}
